Page MenuHomePhabricator

https://doc.wikimedia.org/puppet/ does not purge obsolete class documentation
Closed, ResolvedPublic

Description

With https://gerrit.wikimedia.org/r/#/c/200525/, the class role::package::builder::labs was removed. However, its documentation is still up at https://doc.wikimedia.org/puppet/classes/__site__/role/package/builder/labs.html which is linked for example when you have added role::package::builder::labs to your project-specific Puppet groups on wikitech.

Event Timeline

scfc created this task.Apr 20 2015, 5:03 PM
scfc raised the priority of this task from to Needs Triage.
scfc updated the task description. (Show Details)
scfc added a subscriber: scfc.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2015, 5:03 PM

Most of the publish jobs use rsync and delete any extra files. However this one is still running on gallium directly and presumably Puppet's built-in doc generator does not clean up foreign files in the output directory:

- shell: |
   /usr/bin/puppet doc \
       --mode rdoc \
       --outputdir /srv/org/wikimedia/doc/puppet \

See T86659. This is fixed when it moves to labs and publishes via rsync.

Change 204982 had a related patch set uploaded (by Krinkle):
Convert 'operations-puppet-doc' job to run on a labs slave

https://gerrit.wikimedia.org/r/204982

Krinkle assigned this task to Legoktm.Apr 21 2015, 3:05 PM
Krinkle triaged this task as Low priority.
Krinkle set Security to None.
hashar raised the priority of this task from Low to Normal.Jul 6 2015, 2:30 PM
hashar moved this task from Backlog to In progress on the Continuous-Integration-Config board.

Change 204982 merged by jenkins-bot:
Convert 'operations-puppet-doc' job to run on a labs slave

https://gerrit.wikimedia.org/r/204982

hashar added a subscriber: hashar.Oct 27 2015, 11:23 AM

Might be fixed by https://gerrit.wikimedia.org/r/204982 which migrated the operations-puppet-doc job and thus use rsync. Should clean up the destination but I haven't verified.

Legoktm closed this task as Resolved.Nov 19 2015, 11:37 PM

Confirmed that a bunch of classes/roles that Yuvi has recently killed are no longer in the docs.